<template>
    <div class="navbar-item has-dropdown is-hoverable">
        <a class="navbar-link has-text-centered is-dropdown-toggler">
            <icon-base v-bind:name="icon" />
        </a>

        <div class="navbar-dropdown" 
            v-bind:class="[ centered ? 'has-text-centered' : '', paddingless ? 'is-paddingless' : 'is-paddingful' ]">
            <slot></slot>
        </div>
    </div>
</template>

<script lang="ts">
    import { Component, Prop, Vue } from 'vue-property-decorator';
    import IconBase from './IconBase.vue';

    @Component({
        components: {
            IconBase,
        },
    })
    export default class Dropdown extends Vue {
        @Prop()
        private icon!: string;
        @Prop({ default: false })
        private centered!: boolean;
        @Prop({ default: false })
        private paddingless!: boolean;
    }
</script>

<style scoped>
    .navbar-dropdown {
        border-top-color: #f9f9f9;
        border-top-width: 4px;
        border-radius: 0 0 20px 20px;
        box-shadow: none;
    }

    .navbar-dropdown a.navbar-item {
        padding: 0.5rem;
    }

    .is-paddingful {
        padding: 1rem;
    }
</style>